Precheck official template workbook
curl --request POST \
--url https://loomloom.cogfoundry.ai/loom/v1/officialTemplates/{officialTemplate}:precheckWorkbook \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"callbackUrl": "<string>",
"clientRequestId": "<string>",
"content": [
123
],
"filename": "<string>",
"recordCount": 123
}
'import requests
url = "https://loomloom.cogfoundry.ai/loom/v1/officialTemplates/{officialTemplate}:precheckWorkbook"
payload = {
"callbackUrl": "<string>",
"clientRequestId": "<string>",
"content": [123],
"filename": "<string>",
"recordCount": 123
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
callbackUrl: '<string>',
clientRequestId: '<string>',
content: [123],
filename: '<string>',
recordCount: 123
})
};
fetch('https://loomloom.cogfoundry.ai/loom/v1/officialTemplates/{officialTemplate}:precheckWorkbook', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"balanceCheck": {
"availableBalance": 123,
"currency": "<string>",
"isSufficient": true
},
"estimatedTotalCostT": 123
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Precheck official template workbook
POST
/
loom
/
v1
/
officialTemplates
/
{officialTemplate}
:precheckWorkbook
Precheck official template workbook
Authorizations
Use Authorization: Bearer <api-token>.
Path Parameters
Official template ID
Body
application/json